# Awesome Serverless Architecture

- https://aws.amazon.com/lambda/serverless-architectures-learn-more

A serverless architecture is a way to build and run applications and services without having to manage infrastructure. Your application still runs on servers, but all the server management is done by AWS. You no longer have to provision, scale, and maintain servers to run your applications, databases, and storage systems. Learn more about serverless computing here.

## Pocket guide

Proudly brought to you by:

- https://gorillalogic.com

## Serverless Web Application

- https://aws.amazon.com/serverless/build-a-web-app

You can build a serverless web application by using several AWS services together. Each service is fully managed and does not require you to provision or manage servers. You only need to configure them together and upload your application code to AWS Lambda, a serverless compute service.

## AWS AppSync

- https://aws.amazon.com/blogs/aws/introducing-amazon-appsync

- https://www.slideshare.net/AmazonWebServices/mbl306mobile-state-of-the-union

Build data-driven apps with real-time and offline capabilities.

AWS AppSync uses GraphQL, an open standard query language that makes it easy for applications to request data from the cloud.

- https://aws.amazon.com/appsync

### Starters

- https://aws.amazon.com/appsync/resources

### React starters:

- https://github.com/aws-samples/aws-mobile-appsync-events-starter-react
- https://github.com/aws-samples/aws-mobile-appsync-events-starter-react-native

## Amazon S3

- https://aws.amazon.com/s3

Object storage built to store and retrieve any amount of data from anywhere.

## AWS Lambda

- https://aws.amazon.com/lambda

AWS Lambda lets you run code without provisioning or managing servers.

You can use AWS Lambda to execute code in response to triggers such as changes in data, shifts in system state, or actions by users. Lambda can be directly triggered by AWS services such as S3, DynamoDB, Kinesis, SNS, and CloudWatch, or it can be orchestrated into workflows by AWS Step Functions. This allows you to build a variety of real-time serverless data processing systems.

## Amazon API Gateway

- https://aws.amazon.com/api-gateway

Amazon API Gateway is a fully managed service that makes it easy for developers to create, publish, maintain, monitor, and secure APIs at any scale.

With a few clicks in the AWS Management Console, you can create an API that acts as a “front door” for applications to access data, business logic, or functionality from your back-end services, such as workloads running on Amazon Elastic Compute Cloud (Amazon EC2), code running on AWS Lambda, or any Web application.

## Amazon Cognito

- https://aws.amazon.com/cognito

Amazon Cognito lets you add user sign-up, sign-in, and access control to your web and mobile apps quickly and easily. Amazon Cognito scales to millions of users and supports sign-in with social identity providers, such as Facebook, Google, and Amazon, and enterprise identity providers via SAML 2.0.

## Amazon DynamoDB

- https://aws.amazon.com/dynamodb

Amazon DynamoDB is a fast and flexible NoSQL database service for all applications that need consistent, single-digit millisecond latency at any scale. It is a fully managed cloud database and supports both document and key-value store models. Its flexible data model, reliable performance, and automatic scaling of throughput capacity, makes it a great fit for mobile, web, gaming, ad tech, IoT, and many other applications.
